@import "variables";
@import "fonts";
// add your custom fonts here and comment out "fonts" above
//@import "fonts-custom";

html, body {
  font-size: 16px;
  font-family: $font4;
  color: $Color7;
  min-width: 375px;
}

*:focus {
  outline: none;
}

a.btn {
  cursor: pointer;
  border-radius: 0;
}

@mixin top-toolbar-button {
  color: $Color2;
  font-size: 14px;
  padding-right: 1rem;
  padding-left: 1rem;
  border-right: 1px solid $Color7;
  border-bottom: 0 none;
  border-radius: 0;
  border-left: 0 none;
}

@mixin detail-nav-button {
  font-family: $font5;
  font-size: 15px;
  position: relative;
  border: 2px solid $Color11;
  border-radius: 2px;
  height: 2.5rem;
  display: inline-block;
  line-height: 2.25rem;
  padding-left: 1.1rem;
  padding-right: 1.1rem;
  &:before {
    content: "";
    position: absolute;
    width: 20px;
    height: 20px;
    top: 24%;
    left: 36%;
    background-image: url("/assets/img/icon_arrow_up.svg");
    background-repeat: no-repeat;
    background-color: transparent;
    transform: scaleX(-1) rotate(90deg);
  }
  &:hover {
    background-color: $Color1;
    color: $Color2;
    border-color: darken($Color11, 50);
    &:before {
      background-image: url("/assets/img/icon_arrow_up_white.svg");
    }
  }
}

$topBarHeight: 2.8rem;

.btn {
  &__lang {
    @include top-toolbar-button;
    text-transform: uppercase;
    height: $topBarHeight;
    font-family: $font5;
    &:hover {
      background-color: $Color2;
      color: $Color7;
    }
    &[disabled] {
      background-color: $Color7;
      opacity: 1;
      color: $Color2;
    }
  }
}

.button--no-decoration {
  border: 0 none;
  background-color: transparent;
  padding: 0;
  margin: 0;
}

.btn-red {
  background-color: $Color8;
  color: $Color2;
  border-color: $Color8;
  font-family: $font6;
  font-weight: bold;
  text-transform: uppercase;
  border-radius: 4px;
  &:hover {
    background-color: $Color12;
    border-color: $Color12;
    color: $Color2;
    transition: all 250ms ease-in-out;
  }
  &:active {
    background-color: $Color13;
    border-color: $Color13;
    color: $Color2;
  }
  &[disabled] {
    background-color: lighten($Color8, 10);
    border-color: lighten($Color8, 10);
  }
}

.btn-small {
  font-size: 12px;
  margin-left: 0.25rem;
  padding: .175rem .45rem;
}

.btn-black {
  @include detail-nav-button;
  &:before {
    left: 0.75rem;
  }
  padding-top: 0;
  padding-left: 3rem;
  text-overflow: ellipsis;
  white-space: nowrap;
  max-width: 100%;
  overflow: hidden;
  &[disabled] {
    background-color: darken($Color2, 10);
    border-color: darken($Color11, 10);
  }
}

.link-black {
  color: $Color7;
  &:hover {
    text-decoration: underline;
    transition: all 250ms ease-in-out;
    color: $Color7;
  }
  &:active {
    color: $Color8;
  }
}

$FirstLineBorder: 1px solid darken($Color1, 50%);
$BaskeIconWidth: 40px;

@mixin layout {
  margin-left: auto;
  margin-right: auto;
  max-width: $MaxContentWidth;
  padding-left: 1.3rem;
  padding-right: 1.3rem;
}

input:invalid {
  border-color: $Color5;
}

input {
  border-radius: 0;
  background-color: $Color9;
  box-shadow: inset 0 1px 3px 0 rgba(0, 0, 0, 0.50);
  border: 0 none;
  color: $Color7;
  padding-top: 0.3rem;
  padding-bottom: 0.4rem;
  padding-left: 0.6rem;
  padding-right: 0.6rem;
}

/* clears the 'X' from Internet Explorer */
input[type=search]::-ms-clear {
  display: none;
  width: 0;
  height: 0;
}

input[type=search]::-ms-reveal {
  display: none;
  width: 0;
  height: 0;
}

/* clears the 'X' from Chrome */
input[type="search"]::-webkit-search-decoration,
input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-results-button,
input[type="search"]::-webkit-search-results-decoration {
  display: none;
}

.beta-header {
  &-container {
    background-color: $Color8;
  }
  @include layout;
  background: url("/assets/img/beta-logo.svg") no-repeat left top $Color8;
  background-size: 60px;
  color: white;
  &__title {
    padding-left: 3rem;
    color: transparent;
  }
  &__contact {
    padding-right: 2rem;
  }
  &__mailto {
    color: $Color2;
    text-decoration: underline;
    &:hover {
      color: $Color2;
    }
  }
  .button--delete {
    border-left: 1px solid change_color($Color11, $alpha: 0.5);
    border-right: 1px solid change_color($Color11, $alpha: 0.5);
    background-color: $Color8;
    &:Hover {
      background-color: $Color2;
    }
  }
}

@media (max-width: 768px) {
  .beta-header {
    &__contact {
      font-size: 14px;
      line-height: 16px;
    }
  }
}

.top {

  &__first-line {
    color: $Color2;
    @include layout;
    height: $topBarHeight;
    &-wrapper {
      background-color: $Color1;
    }
    &-content {
      height: $topBarHeight;
      .nav-about {
        @include top-toolbar-button;
        height: $topBarHeight;
        padding-top: 0.7rem;
        font-family: $font5;
        &:hover {
          background-color: $Color7;
        }
      }
      a, a:active, a:visited {
        color: $Color2;
        border-right: $FirstLineBorder;
        font-family: $font5;
      }
      > a {
        border-left: $FirstLineBorder;
      }
    }
  }

  &__subtitle-wrapper {
    background-color: $Color10;
    .top__subtitle {
      @include layout;
      display: flex;
      width: 100%;
      align-items: center;
      padding-left: 4.35rem;
      .button--no-decoration {
        font-size: 0.75rem;
        height: 2.3125rem;
        color: $Color7;
      }
    }
  }

  &__owner {
    @include layout;
    padding-top: 0.8rem;
    padding-bottom: 0.8rem;
    position: relative;
    &-wrapper {
      background-color: $Color3;
    }
    &-content {
      display: inline-block;
      &-logo {
        width: 8rem;
      }
      &-title {
        display: inline-block;
        max-width: 10rem;
        margin-left: 3rem;
        margin-top: 0.9rem;
        color: $Color7;
        a, a:visited, a:active {
          text-align: left;
          font-size: 13px;
          line-height: normal;
          font-family: $font5;
          color: $Color7;
          padding: 0;
        }
      }
      &-status {
        display: inline-block;
        flex-grow: 1;
        text-align: right;
        &-stored-searches {
          display: inline-block;
          .label {
            display: inline-block;
            padding-right: 1.2rem;
            background: url("/assets/img/stored-searches.svg") no-repeat top right;
          }
        }
        &-stored-results {
          display: inline-block;
          .label {
            display: inline-block;
            padding-right: 1.2rem;
            background: url("/assets/img/stored-results.svg") no-repeat top right;
          }
        }
      }
    }
    &-department-logo {
      display: none;
      float: right;
      padding-left: 2.6rem;
      border-left: 1px solid $Color7;
    }
  }
}

.simple-search {
  @include layout;
  &__title {
    margin-top: 3.3rem;
    font-family: $font2;
    font-size: 31px;
    letter-spacing: -0.7px;
    color: $Color7;
    margin-bottom: 0.5rem;
  }
  &__field {
    font-family: $font5;
    font-size: 15px;
    height: 2.5rem;
    padding-left: 1rem;
    padding-right: 2.5rem;
    position: relative;
    &-container {
      .ng-select input {
        padding: 0;
      }
    }
  }
  &__clear {
    padding: 0;
    margin: 0;
    position: absolute;
    border: 0 none;
    right: 0.7rem;
    top: 0.65rem;
    width: 1.25rem;
    height: 1.25rem;
    background-image: url("/assets/img/icon_delete_selection.svg");
    background-repeat: no-repeat;
    background-size: 1.25rem;
    background-color: transparent;
    &--hidden {
      display: none;
    }
  }
  &__filter {
    margin-top: 0.2rem;
    border: 0 none;
    height: auto;
    #keepFilters {
      margin-right: 0.5rem;
    }
    label {
      display: inline;
      font-size: 14px;
      vertical-align: top;
    }
  }
  &__field:focus {
    background-color: $Color9;
    box-shadow: inset 0 1px 3px 0 rgba(0, 0, 0, 0.50);
  }
  &__search {
    font-size: 14px;
    height: 2.5rem;
    margin-left: 0.8rem;
    margin-bottom: 0.5rem;
    vertical-align: top;
    &--small {
      width: 3.1rem;
      background: url("/assets/img/icon_search.svg") no-repeat $Color8 center center;
    }
  }
  .collapsible {
    display: inline-block;
    &__container {
      &-scroll-wrapper {
        overflow: visible;
      }
      .btn {
        height: auto;
        border: 1px solid $Color11;
        margin-bottom: 0;
        margin-left: 0;
        border-radius: 0;
        &:hover {
          background-color: $Color3;
          transition: all 250ms ease-in-out;
          opacity: 1;
        }
      }
      position: absolute;
      width: 200px;
      background-color: $Color2;
      z-index: 2;
      box-shadow: 5px 6px 14px -4px rgba(0, 0, 0, 0.68);
    }
    &__title {
      background-color: $Color8;
      color: $Color2;
      background-image: url('/assets/img/icon_dropdown-white.svg');
      background-position: left 0.5rem center;
      padding-right: 0;
      padding-top: 0.6rem;
      &.collapsed {
        color: $Color2;
        background-image: url('/assets/img/icon_dropdown-white.svg');
      }
    }
  }
}

.search-toolbar-container {
  @include layout;
}

.map {
  border: 1px solid black;
}

.timeline {
  border: 1px solid black;
}

.search-results {
  @include layout;
  &__header {
    margin-bottom: 2.3rem;
    .styled-select {
      margin-bottom: 0.5rem;
    }
  }
  &__title {
    margin-top: 0;
    font-size: 27px;
    letter-spacing: -0.3px;
    font-family: $font3;
  }
  &__sorting {
    margin-top: 3.5rem;
  }
  &__hit {
    margin-bottom: 2rem;
  }
  &__sorting {
  }
  &__more {
    font-size: 12px;
    line-height: 15px;
    padding: 0.5rem 1.3rem;
    margin-top: 3.8rem;
  }
  &__mode {
    &-container {
      display: inline-block;
      vertical-align: top;
      position: relative;
      ul {
        list-style: none;
        padding: 0;
      }
      .collapsible__container-scroll-wrapper {
        position: absolute;
        z-index: 2;
        right: 0;
        overflow: visible;
        ul {
          box-shadow: 5px 6px 14px -4px rgba(0, 0, 0, 0.68);
          max-height: 400px;
          overflow-x: hidden;
          overflow-y: auto;
        }
      }
    }
    background-repeat: no-repeat;
    background-position: center center;
    color: $Color1;
    font-size: 14px;
    width: 100%;
    white-space: nowrap;
    height: 2.4rem;
    background-color: white;
    border: 1px solid $Color11;
    text-align: left;
    //opacity: 0.5;
    &.collapsible__title {
      background-size: 1.5rem;
      background-color: $Color10;
      border: 0 none;
      opacity: 1;
      margin-left: 0.7rem;
      background-image: none !important;
      padding-left: 0.85rem;
      padding-right: 2rem;
      width: 5.0625rem;
    }
    &:hover {
      background-color: $Color3;
      transition: all 250ms ease-in-out;
      opacity: 1;
    }
    &--List {
    }
    &--UV {
    }
    &--Mirador {
    }
  }
  &__hit-container-actions {
    margin-bottom: 0.8rem;
    button {
      margin-top: 0;
    }
    &-page {
      vertical-align: middle;
      margin-left: 1rem;
      margin-right: 1rem;
    }
  }
  &--viewer {
    background-color: $Color13;
    &-wide {
      > .search-results {
        max-width: none;
        margin-left: initial;
        margin-right: initial;
      }
    }
  }
}

@media (max-width: 496px) {
  .search-results {
    &__mode {
      &-container {
        display: block;
        .collapsible__container-scroll-wrapper {
          right: auto;
          left: -1rem;
        }
      }
    }
  }
}

app-search-results {
  display: block;
  margin-top: 1.5rem;
}

app-uv-manifest-link {
  display: block;
}

.search-hit-field-value__multi, .field__multi-value {
  ul {
    padding-left: 1rem;
  }
}

.search-hit {
  &__basket {
    box-sizing: border-box;
  }
  &__info {
    position: relative;
    .field {
      word-break: break-word;
    }
    &-preview {
      text-align: center;
      &-container {
        max-height: 200px;
        overflow: hidden;
        display: inline-block;
        border: 1px solid transparent;
        &:hover {
          border-color: $Color1;
        }
        img {
          width: 100%;
        }
      }
    }
    &-preview::before {
      content: " ";
      display: block;
      position: absolute;
      top: 0;
      left: 40%;
      background: url("/assets/img/loading.svg") no-repeat transparent;
      background-size: 20px 20px;
      background-position: top center;
      width: 20px;
      height: 20px;
      animation: rotating 1s linear infinite;
      z-index: -1;
    }
  }
  &__title {
    margin-top: 0;
    margin-bottom: 0;
    font-size: 16px;
    line-height: 18px;
    ul {
      list-style: none;
      padding-left: 0;
    }
  }
  &__title-link {
    display: inline-block;
    margin-top: 0.3rem;
    margin-bottom: 0;
    .search-hit-field-value {
      font-size: 16px;
      line-height: 18px;
      font-weight: bold;
      font-family: $font6;
    }
  }
  &__line_1 {
    margin-top: 0;
    margin-bottom: 0.15rem;
    color: $Color7;
    .search-hit-field-value {
      font-size: 15px;
      line-height: 20px;
      display: inline-block;
      margin-top: 0.25rem;
    }
  }
  .field {
    font-size: 15px;
    line-height: 18px;
    color: $Color7;
    em {
      background-color: $Color6;
      font-style: normal;
    }
  }
  &__field-label {
    word-break: break-word;
  }
  &-field-value__single {
    word-break: break-word;
  }
  &__type {
    font-size: 15px;
    color: $Color7;
  }
  &__external-link {
    color: $Color7;
    text-decoration: underline;
    display: inline-block;
    padding-left: 1.5rem;
    background: url("/assets/img/icon_hierarchy_arrow_right.svg") no-repeat transparent;
    background-size: 1rem;
    background-position: left center;
    &:hover {
      color: $Color7;
    }
  }
}

.to-top-container {
  @include layout;
  text-align: right;
  margin-top: 4.6rem;
  border-radius: 0;
  .to-top {
    background-image: url("/assets/img/arrow-to-top.svg");
    background-repeat: no-repeat;
    background-position: center;
    background-color: $Color9;
    width: 3.4rem;
    height: 3.4rem;
    color: transparent;
    font-size: 1px;
    &:hover {
      width: auto;
      font-size: 15px;
      background-color: $Color7;
      padding-right: 3rem;
      color: $Color2;
      background-image: url("/assets/img/icon_arrow_up_white.svg");
      background-position: right 1rem center;
    }
  }
}

.button--delete {
  width: 20px;
  position: relative;
  border: 0 none;
  padding-top: 0.7rem;
  padding-bottom: 0.7rem;
  padding-left: 0.7rem;
  box-sizing: content-box;
  &:after {
    content: " ";
    width: 17px;
    height: 15px;
    display: block;
    background: url("/assets/img/icon_delete_selection.svg") no-repeat center center;
  }
  &-big {
    &:after {
      background: url("/assets/img/plus.svg") no-repeat center center;
      transform: rotate(45deg);
    }
  }
  &:hover {
    background-color: $Color11;
    transition: all 250ms ease-in-out;
  }
}

.collapsible {
  &__title {
    word-break: break-word;
    font-family: $font5;
    padding-top: 0.7rem;
    padding-bottom: 0.7rem;
    margin-top: 0;
    margin-bottom: 0.1rem;
    text-align: left;
    border: 0 none;
    width: 100%;
    background: url("/assets/img/minus.svg") no-repeat left center;
    padding-left: 2rem;
    color: $Color7;
    &.collapsed {
      background-image: url("/assets/img/plus.svg");
      color: $Color7;
    }
  }
  &__container-scroll-wrapper {
    max-height: 400px;
    overflow: auto;
    position: relative;
  }
  &__container.collapsed {
    height: 0;
    overflow: hidden;
  }
  &--with-delete {
    display: flex;
    .button--delete {
      width: 22px;
      border-left: 1px solid $Color11;
      padding-top: 0.7rem;
      padding-bottom: 0.7rem;
      padding-left: 0.6rem;
      margin-top: 0;
      margin-bottom: 0.5rem;
      background-color: $Color4;
      &:hover {
        background-color: $Color11;
      }
    }
  }
}

.subcat-facet {
  .collapsible {
    &__title {
      background-image: url("/assets/img/icon_hierarchy_arrow_left.svg");
      &.collapsed {
        background-image: url("/assets/img/icon_hierarchy_arrow_right.svg");
        color: $Color7;
      }
    }
  }
  .collapsible__title {
    font-size: 12px;
    padding-top: 0;
    background-position: top 3px left 12px;
  }
  .facet__list {
    .facet__entry--selected-with-subvalues {
      font-style: italic;
      background-color: transparent;
      background-image: none;
      padding-left: 0;
      padding-top: 0;
      padding-bottom: 0.25rem;
      text-decoration: none;
      margin-bottom: 0;
    }
  }
}

.collapsible-facets {
  margin: 0.25rem 0.25rem 0.25rem 0;
  padding-left: 0.5rem;
  max-width: 300px;
  border-top: 0.15rem solid $Color11;
  &.last {
    border-bottom: 0.15rem solid $Color11;
  }
  &__toggler {
    font-size: 12px;
  }
  &__container {
    position: relative;
    .collapsible-facets__container-overlay {
      display: none;
    }
    &.collapsible-facets--show-in-overlay {
      .collapsible-facets__container-overlay {
        left: 0;
        display: block;
      }
      .search-results__title {
        margin-left: 1.3rem;
        margin-right: 1.3rem;
        margin-bottom: 1rem;
      }
    }
    &.collapsible-facets--show-in-overlay .collapsible-facets__container-elements {
      left: 0;
    }
  }
  &__use-filter {
    display: none;
    font-family: $font2;
    font-size: 21px;
    color: $Color7;
    letter-spacing: -0.47px;
    padding-left: 1.5rem;
    background: url("/assets/img/icon_arrow_left.svg") no-repeat left center;
  }
  .styled-select {
    margin: 0;
    display: inline-block;
  }
  &__available {
    &--toggable {
      z-index: 20;
      background-color: $Color2;
      box-shadow: 0 2px 14px 0 rgba(0, 0, 0, 0.20);
      position: absolute;
      top: 10px;
      left: 0;
      width: 20.1rem;
      padding-bottom: 2.4rem;
      padding-top: 1.5rem;
      .collapsible-facets {
        margin-left: 1.3rem;
        margin-right: 1.3rem;
      }
    }
  }
}

@media (max-width: 575px) {
  .collapsible-facets {
    &__container-overlay {
      position: fixed;
      z-index: 10;
      top: 0;
      left: -100vw;
      right: 0;
      bottom: 0;
      background-color: $Color11;
      opacity: 0.8;
    }
    &__container-elements {
      transition: all 500ms ease-in-out;
      display: block !important;
      top: 0;
      left: -100vw;
      position: fixed;
      z-index: 20;
      height: 100vh;
      overflow: auto;
      //width: 68%;
      background-color: $Color2;
      border: 2px solid $Color11;
      padding: 0.8rem 1rem;
    }
    &.last {
      margin-bottom: 2rem;
    }
    &__toggler, &__use-filter {
      display: inline-block;
    }
    &__available {
      &--toggable {
        position: relative;
        box-shadow: initial;
      }
    }
  }
  html.collapsible-facets--show-in-overlay, body.collapsible-facets--show-in-overlay {
    overflow: hidden;
  }
}

@keyframes rotating {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.rotating {
  animation: rotating 1s linear infinite;
  background: url("/assets/img/loading.svg") no-repeat transparent;
  background-size: 40px 40px;
  width: 40px;
  height: 40px;
  position: absolute;
  top: 0;
  left: 40%;
  &_container {
    position: relative;
    height: 3.6rem;
  }
}

.facet {
  font-size: 14px;
  color: $Color7;
  &__list {
    margin: 0;
    padding: 0;
    list-style: none;
    position: relative;
    margin-bottom: 0.9rem;
    &:empty {
      display: none;
    }
    &--horizontally {
      max-height: none;
      li {
        vertical-align: top;
        display: inline-block;
        margin-right: 0.3rem;
      }
    }
    .rotating {
      top: -20px;
    }
  }
  &__entry {
    border: 0 none;
    background-color: transparent;
    text-align: left;
    padding-top: 0;
    padding-bottom: 0.25rem;
    padding-left: 0;
    color: $Color7;
    word-break: break-word;
    display: block;
    &--selected {
      padding-right: 2rem;
      margin-bottom: 0.4rem;
      background: url("/assets/img/icon_delete_selection.svg") no-repeat right 0.9rem top 0.9rem $Color4;
      font-family: $font5;
      padding-left: 0.6rem;
      padding-top: 0.5rem;
      padding-bottom: 0.5rem;
      &-group {
        background-color: $Color4;
        background-position: left 0.5rem center;
        padding-top: 0.5rem;
        padding-bottom: 0.5rem;
        padding-left: 2.5rem;
        margin-bottom: 0.5rem;
        &-toggable {
          position: absolute;
          background-color: $Color9;
          box-shadow: 4px 5px 7px -3px rgba(0, 0, 0, 0.5);
          top: -8px;
          z-index: 10;
          padding-top: 0.8rem;
          padding-bottom: 0.7rem;
          padding-right: 1.2rem;
        }
        &-container {
          display: block;
          max-width: 23.125rem;
          .collapsible__title {
            background-position: left 0.8rem center;
            background-image: url("/assets/img/icon_dropdown_open.svg");
            &.collapsed {
              background-image: url("/assets/img/icon_dropdown.svg");
            }
          }
          .collapsible__container-scroll-wrapper {
            max-height: none;
            overflow: visible;
          }
          .hierarchic-facet__path-element {
            background-image: url("/assets/img/icon_delete_selection.svg");
          }
        }
      }
    }
  }

  &_range {
    &__min-max {
      margin-bottom: 0.9rem;
    }
    &__to, &__from {
      display: inline-block;
      &-label {
        display: inline-block;
        width: 2rem;
      }
      input {
        width: 10rem;
        min-height: 2rem;
      }
    }
    button[type="submit"] {
      background-image: url("/assets/img/icon_arrow_search_white.svg");
      background-repeat: no-repeat;
      background-position: center center;
      width: 2.1rem;
      height: 1.6rem;
      border: 0 none;
      color: transparent;
      vertical-align: middle;
    }
  }
  .in-facet-search {
    margin-bottom: 0.75rem;
    input {
      width: 90%;
    }
  }
}

.expandable {
  &__title {
    background-color: transparent;
    border: 0 none;
    padding-left: 0;
    margin-top: 0.8rem;
    color: $Color7;
  }
}

.hierarchic-facet, .subcat-facet {
  &__path {
    margin: 0;
    padding: 0;
    list-style: none;
    &-element {
      margin-bottom: 0.1rem;
      padding: 0.05rem 0.5rem 0.05rem 1.15rem;
      background: url("/assets/img/icon_hierarchy_arrow_left.svg") no-repeat center left transparent;
      color: $Color7;
      font-size: 14px;
      font-family: $font5;
      border: 0 none;
      width: 100%;
      text-align: left;
    }
  }
  .facet__list--available {
    li {
      background: url("/assets/img/icon_hierarchy_arrow_right.svg") no-repeat top 5px left transparent;
      padding: 0.05rem 0.5rem 0.05rem 1.15rem;
      margin-left: 1.2rem;
      &.expandable__more {
        background-image: none;
      }
    }
    &.first-level li {
      padding-left: 0;
      background-image: none;
      margin-left: 0;
    }
  }
}

.error {
  margin-top: 1.2rem;
  margin-bottom: 1.3rem;
  color: $Color5;
  font-size: 14px;
  letter-spacing: 0;
  line-height: 15px;
}

.detailed {
  @include layout;

  &-nav-toolbar {
    margin-top: 3.3rem;
    margin-bottom: 1.9rem;
  }

  .previous-doc {
    @include detail-nav-button;
    width: 2.7rem;
    margin-right: 1.4rem;
  }
  .back-to-search {
    @include detail-nav-button;
    padding-left: 3.1rem;
    padding-right: 1.9rem;
    &:before {
      left: 0.9rem;
    }
  }
  .next-doc {
    width: 2.7rem;
    @include detail-nav-button;
    &:before {
      left: 11%;
      transform: scaleX(1) rotate(90deg);
    }
  }
  app-basket-icon {
    display: inline-block;
    width: 20px;
    height: 20px;
    margin-bottom: 1.9rem;
  }
  &__title {
    font-family: $font2;
    font-size: 31px;
    letter-spacing: -0.7px;
  }
  &__universalviewer-container {
    padding-bottom: 85%;
    position: relative;
    overflow: hidden;
    width: 100%;
    height: auto;
  }
  &__universalviewer {
    border: 0 none;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    margin-left: auto;
    margin-right: auto;
  }
  & &__fields {
    margin-bottom: 3.1rem;
    .collapsible__container-scroll-wrapper {
      max-height: none;
      overflow: inherit;
    }
  }
  &__edit {
    margin-left: 2rem;
    font-size: 12px;
  }
  &__embedded-viewer {
    flex-grow: 1;
    &--left {
      margin-right: 1.5rem;
    }
    &--right {
      margin-left: 1.5rem;
    }
  }
  &--doc-and-viewer {
    margin-left: initial;
    margin-right: initial;
    max-width: none;
  }
  &__form--wide {
    display: flex;
  }
  &__fields--wide {
    width: 58%;
    flex-shrink: 0;
  }
}

@media (max-width: 800px) {
  .detailed {
    &__embedded-viewer {
      &--left {
        margin-right: 0;
      }
      &--right {
        margin-left: 0;
      }

    }
    &__form--wide {
      display: block;
    }
  }
}

app-mirador {
  .detailed {
    &__universalviewer-container {
      padding-bottom: 102%;
    }
  }
}

@media (min-width: 0) {
  .detailed {
    &__title {
      font-size: 21px;
    }
    &__universalviewer {
      // mobile view shall overwrite wide mode
      width: 100% !important;
    }
  }
}

@media (min-width: 576px) {
  .detailed {
    &__title {
      font-size: 31px;
    }
    &__universalviewer {
      width: 100% !important;
    }
  }
}

.detailed-field, .edit-detailed-field {
  display: block;
  margin-bottom: 0.6rem;
  &__label, &__value {
    word-break: break-word;
    display: inline-block;
    vertical-align: top;
    font-size: 15px;
  }
  &__value {
    font-family: $font5;
    .link-black {
      text-decoration: underline;
    }
  }
}

app-autocomplete {
  display: block;
}

.detailed-field {
  &__value {
    ul {
      list-style: none;
      padding: 0;
    }
  }
}

.edit-detailed-field {
  ul li {
    line-height: 2rem;
  }
  input.ng-touched.ng-valid, input.ng-dirty.ng-valid,
  app-autocomplete.ng-touched.ng-valid, app-autocomplete.ng-dirty.ng-valid,
  app-validatable-list.ng-touched.ng-valid app-autocomplete, app-validatable-list.ng-dirty.ng-valid app-autocomplete {
    border-left: 5px solid $Color14;
  }
  input.ng-invalid, app-autocomplete.ng-invalid, app-validatable-list.ng-invalid app-autocomplete {
    border-left: 5px solid $Color5;
  }
}

.no-list-style {
  list-style: none;
  margin: 0;
  padding: 0;
}

.fa-star-selected {
  color: $Color8;
}

.fa-star-unselected {
  color: $Color3;
}

footer {
  background-color: $Color1;
  margin-top: 1.8rem;
  color: $Color2;
}

.footer {
  min-height: 2.8rem;
  @include layout;
  a, &__link-separator, .button--no-decoration {
    color: $Color2;
    font-size: 14px;
    line-height: 20px;
    font-family: $font5;
    vertical-align: top;
  }
  .button--no-decoration {
    display: inline;
  }
}

.styled-select {
  display: inline-block;
  position: relative;
  select {
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    border: none;
    padding-right: 2.5rem;
    padding-left: 0.9rem;
    padding-top: 0.4rem;
    padding-bottom: 0.4rem;
  }
  select::-ms-expand {
    display: none;
  }
  &::before {
    font-family: "FontAwesome";
    content: "\f0dd";
    font-size: 25px;
    position: absolute;
    right: 1rem;
    top: -0.2rem;
    color: $Color7;
    pointer-events: none;
  }
  select, option {
    font-size: 15px;
    color: $Color7;
    font-family: $font4;
    background-color: $Color10;
    height: 2.4rem;
    border: 0 none;
    cursor: pointer;
    box-sizing: border-box;
    border-radius: 0;
    &:hover {
      background-color: $Color3;
      transition: all 250ms ease-in-out;
    }
  }
}

.popup-landing {
  h3 {
    margin-top: 2rem;
  }
  .errortext, h3 {
    text-align: center;
  }
}

.uv-manifest-link {
  &-container {
    background-color: $Color10;
    display: inline-block;
    &--open {
      display: block;
    }
  }
  width: 100%;
  &__url {
    color: $Color7;
    font-size: 0.9375rem;
    padding-right: 2rem;
    &:hover {
      color: $Color7;
    }
    word-break: break-all;
  }
  &__question {
    display: inline-block;
    padding-left: 1.5rem;
    font-size: 0.9375rem;
    button {
      font-size: 0.75rem;
    }
  }
  &__action {
    color: $Color7;
    background-color: $Color10;
    font-size: 1rem;
    border: 0 none;
    margin-left: 0.7rem;
    height: 4.5rem;
    width: 3.3125rem;
    &:hover {
      background-color: $Color3;
      transition: all 250ms ease-in-out;
    }
    &--cancel {
      vertical-align: top;
      &:after {
        content: " ";
        background-image: url("/assets/img/plus.svg");
        transform: rotate(45deg);
        background-repeat: no-repeat;
        background-position: center center;
        width: 2.2rem;
        height: 2rem;
        display: block;
      }
    }
  }
  &__show-question {
    width: 5.3rem;
    padding-left: 0.5rem;
  }
  &__buttons {
    background-color: $Color10;
    width: 4rem;
  }
}

app-rows-per-page {
  margin-left: 0.7rem;
}

$PopperBgCol: #A5D7D2;

.popper {
  display: inline-block;
  z-index: 2;
  background: $PopperBgCol;
  border-radius: 3px;
  padding: 10px;
  &[x-placement^="bottom"] {
    margin-top: 15px;
  }
  &[x-placement^="top"] {
    margin-bottom: 15px;
  }
  &__arrow {
    width: 0;
    height: 0;
    padding: 0;
    margin: 0;
    position: absolute;
    border: {
      style: solid;
      width: 10px;
      color: transparent;
    }
  }
  &[x-placement^="top"] &__arrow {
    border-bottom-width: 0;
    border-top-color: $PopperBgCol;
    bottom: -10px;
  }
  &[x-placement^="bottom"] &__arrow {
    border-top-width: 0;
    border-bottom-color: $PopperBgCol;
    top: -10px;
  }
  &__hidden {
    display: none;
  }
}

.info {
  display: inline-block;
  color: $Color2;
  background-color: $Color3;
  border-radius: 50%;
  width: 1.6rem;
  text-align: center;
  font-family: serif;
  cursor: help;
  border: 0 none;
  padding: 0;
  &-container {
    display: inline-block;
    align-self: center;
  }
}

app-edit-field {
  textarea {
    width: 100%;
    min-height: 20rem;
    background-color: $Color9;
  }
  .ng-select .ng-select-container, .ng-select.ng-select-opened .ng-select-container {
    width: 75%;
    background-color: $Color9;
  }
}

app-date-hierarchic-facet, app-geo-hierarchic-facet, app-int-hierarchic-facet, app-hierarchic-facet {
  .hierarchic-facet {
    &__root-element {
      padding: 0.05rem 0.5rem 0.05rem 1.15rem;
      background: url("/assets/img/icon_hierarchy_arrow_right.svg") no-repeat top 5px left transparent;
    }
  }
}

.ng-dropdown-panel .ng-dropdown-panel-items .ng-option.ng-option-marked {
  background-color: $Color4;
}
